rhos=2.65e3

rhow=1.0e3

rhon=1.0e2

phi=0.33

sn=0.6

sw=0.4

rhob=(1-phi)*rhos+phi*(rhon*sn+rhow*sw)

Tor=2

Km=6.21e9

Ks=36.e9

etaw=0.001;

etan=0.000015;

amplitnw=30000.;

srn=0.05;

srw = 0.15;

epsi=0.01;

pwbar=0.;

kw=2.25e9;

kn=0.022e9;

mu =  4.55 *10^9;

kappa=5.e-12

etaw=0.001;

etan=0.000015;

ks=36.e9;

km= 6.21e9;

gn=Tor*rhon*sn/phi

gw=Tor*rhow*sw/phi

gnw=epsi*sqrt(gn*gw)

ctenw= srn*srn/(( 1.0 -srn -srw)*( 1.0 -srn -srw));

pcnw = (amplitnw*(1.0/((sn-(1.0-srw))*(sn-(1.0-srw)))- ctenw/(sn*sn)));

aa = (sn - (1.0-srw))*(sn - (1.0-srw))*(sn - (1.0-srw));

bb =  sn*sn*sn;

mbeta= srn*srn/(( 1.0 -srn -srw)*( 1.0 -srn -srw));

derpcnw = 2.0*amplitnw*(-1.0/aa + mbeta/bb);

krn =  (1.0 - (1.-sn)/(1.0-srn) )^2;

krw =( (1.0-sn-srw)/(1.0-srw) )^2;

cs = 1.0/ks;

cm = 1.0/km;

cn = 1.0/kn;

cw = 1.0/kw;

delta = cs-cm;

aux1 = 1.+  derpcnw*sn*sw*cw;

aux2 = 1.+  derpcnw*sn*sw*cn;

gama=aux1/aux2;

bbeta= pcnw/derpcnw;

bbetaw= pwbar/derpcnw;

alfa=1.+(sn+bbeta)*(gama-1.);

cf = (gama*sn*cn+sw*cw)/alfa;

kf=1./cf;

baux1=kf*(ks-km);

baux2=phi*(ks-kf);

q=baux1/baux2;

ku =  ks * (km + q)/(ks + q );

cu = 1./ku;

caux1=  cs - cm + phi* (cm - cu);

caux2= alfa*( cs - cm + phi *(cm -cf));

theta= caux1/caux2;

b1 = ku*theta*( (sn + bbeta)*gama -bbeta+(gama-1.)*bbetaw)

b2 = ku*theta*( sw + (1.-gama)*bbetaw)

qq = phi*(cn +  1./(derpcnw*sn*sw))

capa= km*(b2*qq + (ks-ku)*(sn+bbeta)/ks)/(ku-km);

rr=(sn+bbeta)*cs+capa*cm;

m3=-b2*(cm/delta+rr/qq)-bbetaw/qq

m2=b2*rr/qq+bbetaw/qq

m1 = -b1*cm/delta-m3

H = ku + 2.e0*mu;

dn = sn^2*etan/((kappa*krn));

dw = sw^2*etaw/((kappa*krw));


M = [rhob sn*rhon sw*rhow; sn*rhon gn gnw; sw*rhow gnw gw]


 RM=M^0.5

J=[H b1 b2; b1 m1 m3; b2 m3 m2]


IRM=M^(-0.5)

RJ=J^0.5

D=IRM*RJ*IRM


