            implicit none
            real*8 kf_ef, etaf_ef,rhof_ef,sn,sw
            real*8 kn,kw,rhon,rhow,etan,etaw,f9
            
            rhon = 78.d0     ! kg/m^3)
            rhow = 1040.d0     !kg/m^3)
            etan = 0.000015d0  ! (Pa . s)
            etaw = 0.001d0     ! (Pa . s)
            kn = 0.012d+9    ! Pa
            kw = 2.25d+9      ! Pa
            f9 = 10**9    
            sn = 0.4
            sw = 1.d0-sn
            write(6,*)' rhon ',rhon
             write(6,*)
             write(6,*)' rhow ',rhow
             write(6,*)
               write(6,*)' etan ',etan
             write(6,*)
             write(6,*)' etaw ',etaw
             write(6,*)
               write(6,*)' kn  (GPa) ',kn/f9
             write(6,*)
             write(6,*)' kw    (GPa)',kw/f9
             write(6,*)
             write(6,*)' Sn = ',sn  
              write(6,*)
    
            
            kf_ef = sn/kn + sw/kw
            kf_ef = 1.d0/kf_ef
            
            write(6,*)' kf_ef  (Pa)      ', kf_ef/f9 
            write(6,*)
            
            etaf_ef = sn*etan+ sw*etaw
              
             write(6,*)' eta_ef  (Pa . s) ', etaf_ef
             write(6,*)
              
            rhof_ef = sn*rhon + sw*rhow
            
             write(6,*)' rho_ef  ( kg/m^3))', rhof_ef
               write(6,*)
  
   
   
   
               stop
               end
               
